function y = winsorv(x, xl)
%WINSORV Winsorize by values.
%   x   Data
%   xl  Limit of data

%     if isscalar(xl)
%         y = max(-xl, min(x, xl));
%     else
%         y = max(xl(1), min(x, xl(2)));
%     end

    if isscalar(xl)
        xl = [-xl xl];
    end
    y = max(xl(1), min(x, xl(2)));

end
